# Correctly display a custom locale, if the user specified one.
--- pg_createcluster	2013-04-12 12:32:08 +0000
+++ pg_createcluster	2013-05-17 10:42:11 +0000
@@ -348,9 +348,14 @@
         error "$datadir already contains a version $existingver cluster";
     }
 } else {
-    my $loc = setlocale (LC_CTYPE);
+    my $sys_loc = setlocale (LC_CTYPE);
     print "Creating new cluster $version/$cluster ...\n";
-    print "  config $confdir\n  data   $datadir\n  locale $loc\n";
+    print "  config $confdir\n  data   $datadir\n";
+    if ($locale) {
+        print "  locale $locale (custom)\n";
+    } else {
+        print "  locale $sys_loc (default)\n";
+    }
     init_db $version, $datadir, $owneruid, $ownergid, \@initdb_opts_from_cli;
     $newcluster = 1;
 }

